<?php

// This file is part of the Moodle block "EJSApp Collab Session"
//
// EJSApp Collab Session is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// EJSApp Collab Session is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// The GNU General Public License is available on <http://www.gnu.org/licenses/>
//
// EJSApp Collab Session has been developed by:
//  - Luis de la Torre: ldelatorre@dia.uned.es
//	- Ruben Heradio: rheradio@issi.uned.es


/**
 * Script to be called through command line interface to start the websocket server
 *
 * @package    block
 * @subpackage ejsapp_collab_session
 * @copyright  2012 Luis de la Torre, Ruben Heradio
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

define('CLI_SCRIPT', true);

// Require Moodle and Block Libs
require_once(dirname(__FILE__) . '/../../../config.php');
include_once(dirname(__FILE__) . '/../lib.php');

// Require Ratchet Libs and Server Class
require __DIR__ . '/vendor/autoload.php';
require __DIR__ . '/server.php';

use Ratchet\Server\IoServer;
use Ratchet\WebSocket\WsServer;

// Choose port for communications
$port = 8000;

// Create Server
$server = IoServer::factory(
	new WsServer(new block_collab_server()), $port
);

// Run Server
$server->run();
